Vector::BLF::MostGenReg(3)

NAME
Vector::BLF::MostGenReg - MOST_GENREG.

SYNOPSIS

#include <MostGenReg.h>

Inherits Vector::BLF::ObjectHeader2.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
ObjectHeader2 (const ObjectType objectType)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint8_t subType {}
read/write request/result
uint8_t reservedMostGenReg1 {}
uint32_t handle {}
operation handle
uint16_t regId {}
register ID
uint16_t reservedMostGenReg2 {}
uint32_t reservedMostGenReg3 {}
uint64_t regValue {}
register value
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint8_t timeStampStatus {}
time stamp status
uint8_t reservedObjectHeader {0}
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {0}
object timestamp
uint64_t originalTimeStamp {0}
original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }
enum TimeStampStatus : uint8_t { Orig = 0x01, SwHw = 0x02, User = 0x10 }

Detailed Description

MOST_GENREG. This event reports the change of an important transceiver register like node position or node address. It can occur spontaneous or as result of a read/write operation. Directly after measurement start the current values of the special registers are reported even if they have not changed.

Member Function Documentation

  uint32_t Vector::BLF::MostGenReg::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::MostGenReg::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::MostGenReg::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint16_t Vector::BLF::MostGenReg::channel {}

application channel Application channel

  uint32_t Vector::BLF::MostGenReg::handle {}

operation handle Operation handle (obsolete; write 0)

  uint16_t Vector::BLF::MostGenReg::regId {}

register ID IDs for identifying registers.

•   Empty = 0x0

•   NPR = 0x87: 8 bit Node Position register

•   GA = 0x89: 8 bit Group (Group Address = 0x0300 + Group)

•   NA = 0x8A: 16 bit Node Address

•   NDR = 0x8F: 8 bit Node Delay (MOST25 only)

•   MPR = 0x90: 8 bit Number of nodes with open bypass

•   MDR = 0x91: 8 bit Maximum Delay (MOST25 only)

•   SBC = 0x96: 8 bit Synchronous Bandwidth Control (SBC)

•   Synchronous Bandwidth = 4 x SBC

•   Maximum values for SBC:

•   MOST25: 15 (= 60 Bytes)

•   MOST50: 29 (= 116 Bytes)

•   MOST150: 93 (= 372 Bytes)

•   APA = 0xE8: 16 bit Alternate Packet Address (MOST25 only)

•   XTIM = 0xBE: 8 bit Transmit Retry Time

•   XRTY = 0xBF: 8 bit Number of send attempts

•   MacAdr = 0xFE: 48 bit MAC address (EUI-48, conforming to the IEEE standard; MOST150 only)

  uint64_t Vector::BLF::MostGenReg::regValue {}

register value Register value

  uint8_t Vector::BLF::MostGenReg::reservedMostGenReg1 {}
reserved

  uint16_t Vector::BLF::MostGenReg::reservedMostGenReg2 {}
reserved

  uint32_t Vector::BLF::MostGenReg::reservedMostGenReg3 {}
reserved

  uint8_t Vector::BLF::MostGenReg::subType {}

read/write request/result Operation type of a register event.

•   Unspecified = 0: unspecified (or HW does not support sub types)

•   Notify = 1: notification on register change (spontaneous)

•   ReadRequest = 2: request of a register read operation

•   WriteRequest = 3: request of a register write operation

•   ReadResult = 4: result of a register read operation

•   WriteResult = 5: result of a register write operation

•   ReadFailed = 6: register read operation failed

•   WriteFailed = 7: register write operation failed

Author

Generated automatically by Doxygen for Vector BLF from the source code.